vlc_src_table Struct Reference

HT decoding tables, as given in the standard. More...

## Data Fields

int | c_q
int | rho
int | u_off
int | e_k
int | e_1
int | cwd
int | cwd_len

## Detailed Description

HT decoding tables, as given in the standard.

Data in the table is arranged in this format: c_q is the context for a quad rho is the signficance pattern for a quad u_off indicate if u value is 0 (u_off is 0), or communicated e_k, e_1 EMB patterns cwd VLC codeword cwd VLC codeword length

## Field Documentation

## c_q

int vlc_src_table::c_q

## cwd

int vlc_src_table::cwd

## cwd_len

int vlc_src_table::cwd_len

Referenced by vlc_init_tables().

## e_1

int vlc_src_table::e_1

## e_k

int vlc_src_table::e_k

Referenced by vlc_init_tables().

## rho

int vlc_src_table::rho

Referenced by vlc_init_tables().

## u_off

int vlc_src_table::u_off

The documentation for this struct was generated from the following file:

- t1_ht_generate_luts.c